# PUCOTI

**A Purposeful Countdown Timer**

Stay on task with PUCOTI, a countdown timer built for simplicity and purpose.

### Features:
- **Countdown**: Counts down to zero (and can go below zero).
- **Bell Alert**: Rings a bell when it hits zero.
- **Persistent Reminder**: Rings every 20 seconds until you acknowledge it. Don't forget to do the thing.
- **Set Intentions**: Write down what you intend to do during the countdown.
- **History**: Keeps a log of your intentions and how long you spent on each.
- **Large Font**: Uses the biggest font it can for visibility.
- **Sway Integration**: Automatically moves to the corner of your screen if you use Sway WM.
- **Total Time**: Shows the total time you've spent on the timer.
- **Configurable**: Change the bell sound, waste time changing colors, and more.
- **Basic Controls**: Add or subtract time, reset the timer, but not more.

PUCOTI is straightforward and gets the job done. Give it a try.

## Screenshots

### *Pucoti can be big...*
![Screenshot of PUCOTI full-screen](./assets/screenshot.webp)
### *... or stay in a corner*
![Screenshot of PUCOTI in the bottom right of a screen](./assets/screenshot-small.webp)
### *Keep track of your intentions*
![Screenshot of PUCOTI showing the history of intentions](./assets/screenshot-history.webp)

## Installation

You can easily install PUCOTI using pip. Follow these steps:

1. **Install PUCOTI:**
   ```sh
   pip install pucoti
   ```

2. **Run PUCOTI:**
   ```sh
   pucoti 5m
   ```

That's it! PUCOTI should now be up and running.

## Usage

![Usage](./assets/cli-help.webp)
